#include <bits/stdc++.h>
using namespace std;

int main()
{

    int a[100], b[100];
    int napitak;
    int broj_napitaka;
    int broj_koji_Milivoje_treba_da_izabere;
    int zadnji;
    int prvi;


    cin >> broj_napitaka;

 
    cin >> broj_koji_Milivoje_treba_da_izabere;
    if ((broj_koji_Milivoje_treba_da_izabere % 2) != 0) {

        cin >> broj_koji_Milivoje_treba_da_izabere;
    }

    zadnji = broj_napitaka - 1;


    for (int broj = 0; broj < broj_napitaka; broj++)
    {
        cin >> a[broj];
    }

    for (int broj = 0; broj < broj_napitaka; broj++)
    {
        b[broj] = a[broj];
    }

    for (int broj = 2; broj <= broj_koji_Milivoje_treba_da_izabere; (broj = broj + 2))
    {
        a[0] = a[0] - a[zadnji];
        zadnji = zadnji - 1;
    }

    prvi = 0;

    for (int broj = 2; broj <= broj_koji_Milivoje_treba_da_izabere; (broj = broj + 2))
    {
        b[broj_napitaka - 1] = b[broj_napitaka - 1] - b[prvi];
        prvi = prvi + 1;
    }


    if (a[0] > b[broj_napitaka - 1])
    {
        napitak = a[0];
    }
    else
    {
        napitak = b[broj_napitaka - 1];
    }


    cout << napitak;

    return 0;
}